//////////////////////////////////////////////////////////////////////////
// define domains

domain='evpn.burble.dn42';
D(
    domain,
    REG_NONE,
    DnsProvider(PDNS),
    DefaultTTL(3600),
    NAMESERVER_TTL(86400),
    NAMESERVER('ns.de-fra1.evpn.burble.dn42.'),
    NAMESERVER('ns.ca-bhs2.evpn.burble.dn42.')
);

//////////////////////////////////////////////////////////////////////////

D_EXTEND(
    domain,

    // nameservers
    AAAA('ns.de-fra1', 'fd42:4242:2601:331:72e8:bff:fe58:b51b'),
    AAAA('ns.ca-bhs2', 'fd42:4242:2601:32d:72e8:bff:fe58:b51b'),

    // BGP reflectors
    AAAA('reflector.de-fra1', 'fd42:4242:2601:331:216:3eff:fed5:85f2'),
    AAAA('reflector.ca-bhs2', 'fd42:4242:2601:32d:216:3eff:fed5:85f2'),

    // borg backup
    AAAA('borg.fr-rbx2', 'fd42:4242:2601:326:216:3eff:fe13:6db0'),
    CNAME('borg', 'borg.fr-rbx2.evpn.burble.dn42.'),

    // scrutiny web
    AAAA('scrutiny.uk-lon1', 'fd42:4242:2601:335:c2c9:edff:fe41:30f6')
)    


//////////////////////////////////////////////////////////////////////////
// hosts

// main nodes
nodes.forEach(function(n) {
    var hex = (n[4] + 32).toString(16);
    D_EXTEND(domain, AAAA(n[0], 'fd42:4242:2601:3'+hex+'::1'));
});

//////////////////////////////////////////////////////////////////////////
// end of file

